/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 *
 * @author developer2
 */
@Embeddable
public class TgenebalancetypedetailPK implements Serializable {

    @Basic(optional = false)
    @Column(name = "BALANCETYPE")
    private String balancetype;
    @Basic(optional = false)
    @Column(name = "BALANCEGROUP")
    private String balancegroup;

    public TgenebalancetypedetailPK() {
    }

    public TgenebalancetypedetailPK(String balancetype, String balancegroup) {
        this.balancetype = balancetype;
        this.balancegroup = balancegroup;
    }

    public String getBalancetype() {
        return balancetype;
    }

    public void setBalancetype(String balancetype) {
        this.balancetype = balancetype;
    }

    public String getBalancegroup() {
        return balancegroup;
    }

    public void setBalancegroup(String balancegroup) {
        this.balancegroup = balancegroup;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (balancetype != null ? balancetype.hashCode() : 0);
        hash += (balancegroup != null ? balancegroup.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TgenebalancetypedetailPK)) {
            return false;
        }
        TgenebalancetypedetailPK other = (TgenebalancetypedetailPK) object;
        if ((this.balancetype == null && other.balancetype != null) || (this.balancetype != null && !this.balancetype.equals(other.balancetype))) {
            return false;
        }
        if ((this.balancegroup == null && other.balancegroup != null) || (this.balancegroup != null && !this.balancegroup.equals(other.balancegroup))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.TgenebalancetypedetailPK[ balancetype=" + balancetype + ", balancegroup=" + balancegroup + " ]";
    }
    
}
